

set -ex



root -l -b -q -x
root -l -b -q -x test.cpp
root -b -l -q -x -e '2+3; 0'
root -b -l -q -x -e 'gSystem->LoadAllLibraries(); 0'
echo ${CONDA_BUILD_SYSROOT}
thisroot.sh
thisroot.csh
thisroot.fish
root -b -l -q -x -e 'gStyle->SetCanvasPreferGL(kTRUE); c = new TCanvas(); if (!c->UseGL()) { throw std::runtime_error("OpenGL does not appear to be working"); }'
root -b -l -q -x "${ROOTSYS}/tutorials/eve/geom_lhcb.C" || true
root -b -l -q -x "${ROOTSYS}/tutorials/tree/run_h1analysis.C"
XrdSecPROTOCOL=unix python -c "import ROOT; ROOT.ROOT.EnableImplicitMT(); rdf = ROOT.RDataFrame('DecayTree', 'root://eospublic.cern.ch//eos/opendata/lhcb/AntimatterMatters2017/data/B2HHH_MagnetUp.root'); print(rdf.Cache('H1_PX').AsNumpy())"
exit 0
